# std::atomic< unsigned long > Struct Template Reference
[Atomics]

Explicit specialization for unsigned long. More...

Inherits __atomic_ulong_base.

List of all members.

## Public Types

- typedef atomic_ulong __base_type
- typedef unsigned long __integral_type

## Public Member Functions

- atomic (__integral_type __i)
- atomic (const atomic &)
- atomic & operator= (const atomic &)

## Public Attributes

- unsigned long _M_i

## Detailed Description

### template<>
struct std::atomic< unsigned long >

Explicit specialization for unsigned long.

Definition at line 393 of file cstdatomic.

The documentation for this struct was generated from the following file:

- cstdatomic